## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-container
%global         forgeurl    https://github.com/googleapis/python-container
Version:        2.30.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Kubernetes Engine API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Kubernetes Engine API}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded scripts.
rm -f %{buildroot}%{_bindir}/fixup_container_v1_keywords.py \
    %{buildroot}%{_bindir}/fixup_container_v1beta1_keywords.py


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_container-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Aug 16 2023 Packit <hello@packit.dev> - 2.30.0-1
- [packit] 2.30.0 upstream release

* Wed Aug 09 2023 Packit <hello@packit.dev> - 2.29.0-1
- [packit] 2.29.0 upstream release

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.28.0-1
- Update to 2.28.0 rhbz#2225281

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.27.0-2
- Add packit config

* Wed Jul 19 2023 Major Hayden <major@redhat.com> - 2.27.0-1
- Update to 2.27.0 rhbz#2224056

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.26.0-1
- Update to 2.26.0 rhbz#2218629

* Mon Jul 03 2023 Major Hayden <major@redhat.com> - 2.25.0-1
- Update to 2.25.0 rhbz#2218629

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.24.0-2
- Rebuilt for Python 3.12

* Fri Jun 16 2023 Major Hayden <major@redhat.com> - 2.24.0-1
- Update to 2.24.0 rhbz#2214608

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 2.23.0-1
- Update to 2.23.0 rhbz#2211660

* Tue Apr 18 2023 Major Hayden <major@redhat.com> - 2.21.0-1
- Update to 2.21.0 rhbz#2187408

* Tue Apr 11 2023 Major Hayden <major@redhat.com> - 2.20.0-1
- Update to 2.20.0 rhbz#2185894

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 2.18.0-1
- Update to 2.18.0 rhbz#2182802

* Fri Mar 03 2023 Major Hayden <major@redhat.com> - 2.17.4-1
- Update to 2.17.4 rhbz#2174497

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.17.3-1
- Update to 2.17.3

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 28 2022 Janine Olear <pninak@web.de> - 2.13.0-1
- Update to 2.13.0 rhbz#2138267

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 2.12.2-1
- Update to 2.12.2 rhbz#2131888

* Tue Sep 20 2022 fkolwa <fkolwa@redhat.com> - 2.12.0-1
- Update to 2.12.0 rhbz#2128082

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 2.11.2-1
- Update to 2.11.2 rhbz#2118355

* Tue Aug 09 2022 Major Hayden <major@redhat.com> - 2.11.1-1
- Update to 2.11.1 rhbz#2116827

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 2.11.0-1
- Update to 2.11.0 rhbz#2108130

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 2.10.8-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.10.8-1
- Update to 2.10.8

* Tue Mar 22 2022 Major Hayden <major@mhtx.net> - 2.10.7-1
- Update to 2.10.7

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 2.10.6-1
- Update to 2.10.6

* Wed Feb 16 2022 Major Hayden <major@mhtx.net> - 2.10.5-1
- Update to 2.10.5

* Tue Feb 15 2022 Major Hayden <major@mhtx.net> - 2.10.4-1
- Update to 2.10.4

* Mon Feb 14 2022 Major Hayden <major@mhtx.net> - 2.10.3-1
- Update to 2.10.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 2.10.1-1
- Update to 2.10.1

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> - 2.9.0-1
- Update to 2.9.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 2.8.0-1
- Initial import (#2010392)
